#include <Arduino.h>
#include <Button.cpp>
#include <Transmitter.cpp>
#include <Timer.cpp>

void sendOnSignal();
void sendOffSignal();
void resend();
Button _button(13, &sendOnSignal, &sendOffSignal);
unsigned int _signalValue;
Transmitter _transmitter;
Timer _timer(1000, &resend);

void sendSignal(int value){
	_signalValue=value;
	Serial.print("Transmitting: ");
	char msg[9];
	sprintf(msg, "LED On: %d", value);
	Serial.println(msg);
	_transmitter.send(msg);
	Serial.println("Transmitted");
}

void sendOnSignal(){
	sendSignal(1);
}

void sendOffSignal(){
	sendSignal(0);
}

void resend(){
	sendSignal(_signalValue);
}

void setup() {
	Serial.begin(9600);
	Serial.println("Starting");
	_transmitter.setup();
	Serial.println("Started");
}

void loop() {
	_button.loop();
	_timer.loop();
}